#!/bin/bash

DOCKER_IMAGE=python:3.9-slim-bullseye

echo "\n------ Checking for docker image --------"
docker pull "$DOCKER_IMAGE"
echo "Pages URL:" $2
echo "PROJECT NAME:" $3
echo "TAG NAME:" $4

echo "------ Get the previous GitLab Pages content --------"
set +e
curl --fail "$2/content.zip" -o "content.zip"
if [ -e "content.zip" ]; then unzip "content.zip"; rm "content.zip"; fi
set -e

echo "------ Add/update content --------"
if [ $6 == 'true' ]; then 
    echo 'Removing all web pages content...'
	rm -r public/*;
else
	ls public/
fi

mkdir -p "public/$4"
cp -r -f "$3_$4.docx" public/$4

docker run --rm -v $(pwd):/tmp -w /tmp "$DOCKER_IMAGE" pip install bs4 && python3 $1 "$3_$4" "$4/$3_$4.docx" "$5"

echo "------ Zip the content and publish the zip again ------"
zip -r "content.zip" "public"
mv "content.zip" "public/"
 
exit 0

#Parameters
#updateIndex.py 
#$CI_PAGES_URL
#$CI_PROJECT_NAME
#$CI_COMMIT_REF_NAME
#index.html
